#!/bin/bash

###
### Runs a few tests to show MSMO acceleration over standard LIBSVM
###

echo ""
echo "******************************"
echo "*****PLAIN SMO COMPARISON*****"
echo "******************************"
echo ""

echo "---Shuttle dataset, classic SMO---"
echo "Training..."
time ./svm-train -c 10000 -g 100 -m 0.001 -h 0 -M 0 shuttle.train shuttle.model > /dev/null
echo "Testing..."
./svm-predict shuttle.valid shuttle.model shuttle.preds
echo ""

echo "---Shuttle dataset, MSMO---"
echo "Training..."
time ./svm-train -c 10000 -g 100 -m 0.001 -h 0 -M 10 shuttle.train shuttle.model > /dev/null
echo "Testing..."
./svm-predict shuttle.valid shuttle.model shuttle.preds
echo ""

echo ""
echo "********************************"
echo "*****FULL LIBSVM COMPARISON*****"
echo "********************************"
echo "(This might take a while...)"
echo ""

echo "---a9a dataset, standard LIBSVM---"
echo "Training..."
time ./svm-train -c 1000 -g 0.001 -M 0 a9a.train a9a.model > /dev/null
echo "Testing..."
./svm-predict a9a.valid a9a.model a9a.preds
echo ""

echo "---a9a dataset, LIBSVM+MSMO---"
echo "Training..."
time ./svm-train -c 1000 -g 0.001 -M 10 a9a.train a9a.model > /dev/null
echo "Testing..."
./svm-predict a9a.valid a9a.model a9a.preds
echo ""
