#!/bin/bash
# Given list of datasets as inputs, this script computes the optimal Gamma and C parameters for each of them using Cross Validation

### CONFIGURATION ###

# Ranges
CRANGE="-5,5,1"
GRANGE="-5,5,1"

# Number of cross-validation folds
NFOLDS=5

# Temporal file
TMP="tmp.tmp"

### RUN ###

for dataset in $*
do
    # Run search procedure
    python grid.py -log2c $CRANGE -log2g $GRANGE -v $NFOLDS $dataset > $TMP
    # Fetch solution
    tail -n 1 < $TMP | cut -d' ' -f1-2 > $dataset.params
done


